<?php
/**
* @package	JoomlArt 
* @subpackage	Elastica Series
* @copyright        Copyright (C) 2005 - 2012.
* @license                GNU General Public License version 2 or later; see LICENSE.txt
*/

// No direct access.
defined('_JEXEC') or die;

require_once dirname(__FILE__).DS.'template_tools.php';
JHtml::_('behavior.framework', true);
$color = $this->params->get('templatecolor');

if(isset($_COOKIE["style"])){
    $color= $_COOKIE['style'];
}

if(isset($_GET['style'])) {
	setcookie("style", $_GET['style'], time()+36000);
	$color= $_GET['style'];
}
define('_RIGHT_POS', 'right');
//$doc->addScript($this->baseurl.'/templates/'.$this->template.'/javascript/md_stylechanger.js', 'text/javascript', true);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<script type="text/javascript">
	if(window.parent == window && !window.opener && window.location.href.test(/tmpl=component/gi)) {
		window.top.location.href = window.location.href.replace(/(&*)tmpl=component/ , '');
	}
</script>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/reset.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/core.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/navigation.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/joomla.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/modules.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/k2.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/print.css" type="text/css" media="print" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/dev.css" type="text/css" media="all" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/component.css" type="text/css" media="all" />
<!-- MEDIA QUERIES -->
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-mobile.css" media="only screen and (max-width:719px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-mobile-portrait.css" media="only screen and (max-width:479px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-tablet.css" media="only screen and (min-width:720px) and (max-width: 985px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-normal.css" media="only screen and (min-width:986px) and (max-width: 1235px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-wide.css" media="only screen and (min-width:1236px) and (max-width: 1585px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-wide-extra.css" media="only screen and (min-width:1586px) and (max-width: 1890px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-hd.css" media="only screen and (min-width:1891px)" />
<!-- //MEDIA QUERIES -->
<!-- J3.0 -->
<?php if(version_compare(JVERSION, '3.0', 'ge')): ?>
<link rel="stylesheet" type="text/css" href="<?php echo JUri::base(true) ?>/media/jui/css/icomoon.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template-j30.css" media="all" />
<?php endif ?>
<!-- //J3.0 -->
<!-- custom themes -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/themes/<?php echo $color;?>/css/theme.css" type="text/css" media="all" />
</head>
<body id="bd" class="bd-component windowview <?php echo jaTpl_getBodyClass()?>">
<div id="container" class="wrap">
	<div class="main container-main clearfix" style="padding: 0 !important; width: auto !important;">
		<div id="content">
			<div class="inner content-inner clearfix">
				<div id="ja-message">
					<jdoc:include type="message" />
				</div>
				<jdoc:include type="component" />
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
	(function($){
		if(window.parent.iframeResize && $){
			var rzsid = null,
				loop = function(){
					if($(window).height() != $(document).height()){
						window.parent.iframeResize();
					}
					clearTimeout(rzsid);
					rzsid = setTimeout(loop, 3000);
				};
			loop();
		}
	})(jQuery);
</script>
</body>
</html>