<?php
/**
* @package	JoomlArt 
* @subpackage	Elastica Series
* @copyright        Copyright (C) 2005 - 2012.
* @license                GNU General Public License version 2 or later; see LICENSE.txt
*/

// No direct access.
defined('_JEXEC') or die;

require_once dirname(__FILE__).'/template_tools.php';

JHtml::_('behavior.framework', true);

define('_RIGHT_POS', 'right');

// get params
$app                = JFactory::getApplication();
$doc				= JFactory::getDocument();
$templateparams     = $app->getTemplate(true)->params;
$color              = $this->params->get('templatecolor');
$jversion			= new JVersion;

if(isset($_COOKIE["style"])){
    $color= $_COOKIE['style'];
}

if(isset($_GET['style'])) {
	setcookie("style", $_GET['style'], time()+36000);
	$color= $_GET['style'];
}


 
//$doc->addScript($this->baseurl.'/templates/'.$this->template.'/javascript/md_stylechanger.js', 'text/javascript', true);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>
<script type="text/javascript">
/* <![CDATA[ */
	var JADef = {
		siteurl: '<?php echo $this->baseurl; ?>/',
		tplurl: '<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/',
		fmsg: '<?php echo JText::_('TPL_FINISHED_MESSAGE'); ?>',
		ltext: '<?php echo JText::_('TPL_LOADING_MESSAGE'); ?>'
	};
/* ]]> */
</script>
<jdoc:include type="head" />
<!-- META FOR IOS & HANDHELD -->
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
<meta name="HandheldFriendly" content="true" />
<meta name="apple-touch-fullscreen" content="YES" />
<!-- //META FOR IOS & HANDHELD -->
<!-- TEMPLATE STYLESHEETS -->
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/reset.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/core.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/navigation.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/joomla.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/modules.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/k2.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/print.css" media="print" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/dev.css" media="all" />
<!-- //TEMPLATE STYLESHEETS -->
<!-- MEDIA QUERIES -->
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-mobile.css" media="only screen and (max-width:719px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-mobile-portrait.css" media="only screen and (max-width:479px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-tablet.css" media="only screen and (min-width:720px) and (max-width: 985px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-normal.css" media="only screen and (min-width:986px) and (max-width: 1235px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-wide.css" media="only screen and (min-width:1236px) and (max-width: 1585px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-wide-extra.css" media="only screen and (min-width:1586px) and (max-width: 1890px)" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout-hd.css" media="only screen and (min-width:1891px)" />
<!-- //MEDIA QUERIES -->
<!-- J3.0 -->
<?php if(version_compare(JVERSION, '3.0', 'ge')): ?>
<link rel="stylesheet" type="text/css" href="<?php echo JUri::base(true) ?>/media/jui/css/icomoon.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template-j30.css" media="all" />
<?php endif ?>
<!-- //J3.0 -->
<!-- CUSTOM THEMES -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/themes/<?php echo $color;?>/css/theme.css" type="text/css" media="all" />
<!-- //CUSTOM THEMES -->
<!-- TEMPLATE SCRIPTS -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/caption.js"></script>
<?php if ($jversion->isCompatible('3.0') < 0): ?>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/jquery-1.7.1.min.js"></script>
<?php endif; ?>
<script type="text/javascript">var $query = jQuery.noConflict();</script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/jquery-cookie.js"></script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/jquery.masonry.js"></script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/jquery.infinitescroll.js"></script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/modernizr-transitions.js"></script>
<!-- //TEMPLATE SCRIPTS -->
<!-- TEMPLATE PLUGINS -->
<!-- jquery iscroll -->
<script src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/plugins/iscroll/iscroll.js" type="text/javascript"></script>
<script src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/plugins/jquery.mousewheel.js" type="text/javascript"></script>
<!-- //TEMPLATE PLUGINS -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/script.js"></script>
<?php
if (JFile::exists(JPATH_BASE . '/templates/' . $this->template . '/themes/' . $color . '/js/script.js')) :
?>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/themes/<?php echo $color;?>/js/script.js"></script>
<?php
endif;
?>
<!--[if lt IE 9]>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/jquery.mediaqueries.js"></script>
<![endif]-->
<style type="text/css">
	.masonry .item {
		width: <?php echo $templateparams->get('itemwidth'); ?>px;
		height: <?php echo $templateparams->get('itemheight'); ?>px;
	}
</style>
</head>
<body id="bd" class="<?php echo jaTpl_getBodyClass()?>">
<div id="wrapper">
	<!-- HEADER -->
	<div id="header" class="wrap">
		<div class="main header-main clearfix">
		
			<!-- LOGO -->
			<div id="logo">
				<h1>
					<a href="<?php JURI::base(true) ?>" title="<?php echo JText::_('JA_DESC'); ?>"><span><?php echo JText::_('JA_NAME'); ?></span></a>
				</h1>
			</div>
			<!-- //LOGO -->

			<!-- MAINNAV -->
			<div id="mainnav" class="has-toggle">
				<div class="btn-toggle menu-toggle">
					<span>Menu</span>
				</div>
				<div class="inner menu-inner clearfix">
					<jdoc:include type="modules" name="mainnav" />
				</div>
			</div>
			<!-- //MAINNAV -->
		</div>
	</div>
	<!-- // HEADER -->
	<?php if (jaTpl_check ('islayoutview') || $this->countModules('search')) : ?>
	<!-- TOOLBAR -->
	<div id="toolbar" class="wrap"><div class="main clearfix">
		<div class="btn-toggle toolbar-toggle">
			<span>Toolbar</span>
		</div>
		<div class="inner toolbar-inner clearfix">
		
			<?php if (!jaTpl_check ('islayoutview') && $this->countModules('search') ) { ?>
			<!-- SEARCH -->
			<div id="search">
				<div class="btn-toggle search-toggle">
					<span>Search</span>
				</div>
				<div class="inner search-inner clearfix">
					<jdoc:include type="modules" name="search" />
				</div>
			</div>
			<!-- //SEARCH -->	
			<?php } ?>
			
			<?php if (jaTpl_check ('islayoutview') || $this->countModules('categories') || $this->countModules('timeline') ) { ?>
			<ul>
				<?php if (jaTpl_check ('islayoutview')) { ?>
				<li id="toolbar-layout">
					<dl>
						<dt>Layout</dt>
						<dd id="toolbar-layout-l" class="first"><span title="Linear Layout">Linear Layout</span></dd>
						<dd id="toolbar-layout-g" class="last"><span title="Grid Layout">Grid Layout</span></dd>
					</dl>
				</li>
				<?php } ?>
				<?php if( $this->countModules('categories') ) {?>
				<li id="toolbar-categories">
					<h4><span>Categories</span></h4>
					<div class="popup">
						<jdoc:include type="modules" name="categories" style="JAxhtml" />
					</div>
				</li>
				<?php } ?>
				<?php if( $this->countModules('timeline') ) {?>
				<li id="toolbar-timeline">
					<h4><span>Timeline</span></h4>
					<div class="popup">
						<jdoc:include type="modules" name="timeline" style="JAxhtml" />
					</div>
				</li>
				<?php } ?>
				</ul>
				<?php } ?>
			</div>		
			</div></div>
			<script type="text/javascript">
				//toolbar
				$query(document).ready(function($){
					$('#toolbar-layout dd').toolbar({ group: 'layout', type: 'single', val: '<?php echo $templateparams->get('jalens_layout'); ?>'});
				});
			</script>
			<!-- //TOOLBAR -->	
			<?php endif; ?>	
	<!-- // SLIDESHOW -->
	<?php if( $this->countModules('slideshow') ) {?>
	<div id="slideshow" class="wrap">
		<div class="main clearfix">
			<jdoc:include type="modules" name="slideshow" />
		</div>
	</div>
	<?php } ?>
	<!-- // SLIDESHOW -->
	<?php if( !$this->countModules('slideshow') ) {?>
	<div id="container" class="wrap">
		<div class="main container-main clearfix">

			<div id="mainbody" class="clearfix">
				
				<!-- MAIN CONTENT -->
				<div id="content">
					<div class="inner content-inner clearfix">
						<jdoc:include type="component" />
						<div id="ja-message">
							<jdoc:include type="message" />
						</div>
					</div>
				</div>
				<!-- // MAIN CONTENT -->
				
				<?php if( jaTpl_hasRight() ) {?>
				<!-- RIGHT -->
				<div id="right">
					<div class="inner right-inner clearfix">
						<div class="right-col">
							<jdoc:include type="modules" style="JAxhtml" name="right" />
						</div>
					</div>
				</div>
				<!-- // RIGHT -->
				<?php } ?>
			</div>
		</div>
	</div>
	<?php } ?>
	<?php if( $this->countModules('breadcrumbs') && !$this->countModules('slideshow') && !jaTpl_check ('islayoutview') ) {?>
	<div id="breadcrumbs" class="wrap">
		<div class="main clearfix">
			<jdoc:include type="modules" name="breadcrumbs" />
		</div>
	</div>
	<?php } ?>
	
	<?php if( $this->countModules('content-mass-bottom') ) {?>
	<div id="content-mass-bottom" class="wrap">	
		<div class="main clearfix">
			<jdoc:include type="modules" name="content-mass-bottom" style="xhtml" />
		</div>
	</div>
	<?php } ?>
	<?php
	$spotlight = array ('user1','user2','user3','user4');
	$botsl = jaTpl_calSpotlight ($spotlight,jaTpl_isOP()?100:99.5);
	if( $botsl ) {
	?>
	<!-- BOTTOM SPOTLIGHT-->
	<div id="botsl" class="wrap">
		<div class="main clearfix">
			<div class="main-inner1 clearfix">
		
		  <?php if( $this->countModules('user1') ) {?>
		  <div class="ja-box ja-box<?php echo $botsl['user1']['class']; ?>" style="width: <?php echo $botsl['user1']['width']; ?>;">
				<jdoc:include type="modules" name="user1" style="xhtml" />
		  </div>
		  <?php } ?>
		  
		  <?php if( $this->countModules('user2') ) {?>
		  <div class="ja-box ja-box<?php echo $botsl['user2']['class']; ?>" style="width: <?php echo $botsl['user2']['width']; ?>;">
				<jdoc:include type="modules" name="user2" style="xhtml" />
		  </div>
		  <?php } ?>
		  
		  <?php if( $this->countModules('user3') ) {?>
		  <div class="ja-box ja-box<?php echo $botsl['user3']['class']; ?>" style="width: <?php echo $botsl['user3']['width']; ?>;">
				<jdoc:include type="modules" name="user3" style="xhtml" />
		  </div>
		  <?php } ?>
		
		  <?php if( $this->countModules('user4') ) {?>
		  <div class="ja-box ja-box<?php echo $botsl['user4']['class']; ?>" style="width: <?php echo $botsl['user4']['width']; ?>;">
				<jdoc:include type="modules" name="user4" style="xhtml" />
		  </div>
		  <?php } ?>
			</div>
		</div>
	</div>
		<!-- //BOTTOM SPOTLIGHT -->
		<?php } ?>
		
	<?php
	$spotlight = array ('social');
	$botsl = jaTpl_calSpotlight ($spotlight,jaTpl_isOP()?100:99.5);
	if( $botsl ) {
	?>
	<!-- BOTTOM SPOTLIGHT-->
	<div id="botsl1" class="wrap">
		<div class="main clearfix">
			<div class="main-inner1 clearfix">
		
		  <?php if( $this->countModules('social') ) {?>
		  <div class="ja-box ja-box<?php echo $botsl['social']['class']; ?>" style="width: <?php echo $botsl['social']['width']; ?>;">
				<jdoc:include type="modules" name="social" style="xhtml" />
		  </div>
		  <?php } ?>	  	  
			</div>
		</div>
	</div>
		<!-- //BOTTOM SPOTLIGHT -->
		<?php } ?>
	<div id="footer" class="wrap">
		<div class="main clearfix">
				<jdoc:include type="modules" name="footer" style="xhtml" />
		</div>
	</div>
	<jdoc:include type="modules" name="debug" />

</div>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/js/wall.js"></script>
</body>
</html>
