<?php
/**
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class plgJak2timeline extends JPlugin
{
	public function onK2BeforeSetQuery(&$query)
	{
		if(JRequest::getCmd('view') == 'itemlist' && JRequest::getCmd('task') == 'date'){
			
			if(!JRequest::getInt('catid', '') && !preg_match('#c\.id=\d+.*#', $query) && !preg_match('#c\.id IN (\d+.*?).*#', $query)){

				$params = K2HelperUtilities::getParams('com_k2');
				$searchIDs = $params->get('categories');

				if (is_array($searchIDs) && count($searchIDs)) {
					$catids = '';

					if ($params->get('catCatalogMode')) {
						$catids = @implode(',', $searchIDs);
					} else {
						$result = K2ModelItemlist::getCategoryTree($searchIDs);
						if (count($result)) {
							$catids = @implode(',', $result);
						}
					}

					$query = str_replace('WHERE', 'WHERE c.id IN (' . $catids . ') AND ', $query);
				}
			}
		}

		return $query;
	}
}
